Bug 1180639 (CVE-2014-9620) - CVE-2014-9620 file: limit the number of ELF notes processed
Summary: CVE-2014-9620 file: limit the number of ELF notes processed
Status: CLOSED ERRATA
Alias: CVE-2014-9620
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150103,reported=2...
Keywords: Reopened, Security
: 1175082 (view as bug list)
Depends On: 1180640 1284826
Blocks: 1180646 1278736
TreeView+ depends on / blocked
 
Reported: 2015-01-09 15:44 UTC by Vasyl Kaigorodov
Modified: 2019-06-11 11:13 UTC (History)
9 users (show)

(edit)
A flaw was found in the way the File Information (fileinfo) extension parsed Executable and Linkable Format (ELF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted ELF file.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:37:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0760 normal SHIPPED_LIVE Moderate: file security, bug fix, and enhancement update 2016-05-10 22:32:51 UTC

Description Vasyl Kaigorodov 2015-01-09 15:44:49 UTC
It was reported [1] that file versions prior to 5.22 did not limit the number of ELF notes processed, which could lead to a local resource exhaustion.

Upstream fix:
https://github.com/file/file/commit/ce90e05774dd77d86cfc8dfa6da57b32816841c4

This issue seems to be introduced here:
https://github.com/file/file/commit/956a45ab1c54b11304b367056f41905e72a02380#diff-bc5c24ef9f39a5f4963ca28ecbc645b3L423
which ended up in 5.08 release.

[1]: http://mx.gw.com/pipermail/file/2014/001653.html

Comment 1 Vasyl Kaigorodov 2015-01-09 15:45:17 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1180640]

Comment 3 Francisco Alonso 2015-03-30 14:58:46 UTC
*** Bug 1175082 has been marked as a duplicate of this bug. ***

Comment 5 errata-xmlrpc 2016-05-10 19:47:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0760 https://rhn.redhat.com/errata/RHSA-2016-0760.html


Note You need to log in before you can comment on or make changes to this bug.